var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
import { extendTheme } from "@chakra-ui/react";
import { mode, transparentize, getColor } from "@chakra-ui/theme-tools";
const baseStyle$7 = {
  ":focus:not(:focus-visible)": {
    boxShadow: "none"
  },
  fontWeight: "medium"
};
const variants$5 = {
  primary: (props) => props.theme.components["Button"]["variants"]["solid"](__spreadProps(__spreadValues({}, props), {
    variant: "solid",
    colorScheme: "brand"
  })),
  "primary-on-accent": () => ({
    bg: "brand.50",
    color: "brand.600",
    _hover: { bg: "brand.100" },
    _active: { bg: "brand.100" }
  }),
  secondary: (props) => props.theme.components["Button"]["variants"]["outline"](__spreadProps(__spreadValues({}, props), {
    variant: "outline",
    colorScheme: "gray"
  })),
  "secondary-on-accent": {
    color: "white",
    borderColor: "brand.50",
    borderWidth: "1px",
    _hover: { bg: "whiteAlpha.200" },
    _active: { bg: "whiteAlpha.200" }
  },
  ghost: (props) => ({
    color: "muted",
    _hover: {
      bg: mode(transparentize("gray.100", 0.4)(props.theme), transparentize("gray.700", 0.4)(props.theme))(props)
    },
    _active: {
      bg: mode(transparentize("gray.100", 0.4)(props.theme), transparentize("gray.700", 0.4)(props.theme))(props)
    },
    _activeLink: {
      bg: "bg-subtle"
    }
  }),
  "ghost-on-accent": (props) => ({
    color: "brand.50",
    _hover: {
      bg: transparentize("brand.500", 0.4)(props.theme)
    },
    _activeLink: {
      color: "white",
      bg: "bg-accent-subtle"
    }
  }),
  link: (props) => {
    if (props.colorScheme === "gray") {
      return {
        color: "muted",
        _hover: {
          textDecoration: "none",
          color: "default"
        },
        _active: {
          color: "default"
        }
      };
    }
    return {
      color: mode(`${props.colorScheme}.600`, `${props.colorScheme}.200`)(props),
      _hover: {
        color: mode(`${props.colorScheme}.700`, `${props.colorScheme}.300`)(props),
        textDecoration: "none"
      },
      _active: {
        color: mode(`${props.colorScheme}.700`, `${props.colorScheme}.300`)(props)
      }
    };
  },
  "link-on-accent": () => {
    return {
      padding: 0,
      height: "auto",
      lineHeight: "normal",
      verticalAlign: "baseline",
      color: "brand.50",
      _hover: {
        color: "white"
      },
      _active: {
        color: "white"
      }
    };
  }
};
var button = {
  baseStyle: baseStyle$7,
  variants: variants$5
};
const baseStyle$6 = {
  label: {
    color: "muted",
    fontWeight: "medium"
  }
};
const sizes$4 = {
  md: {
    label: {
      fontSize: "sm"
    }
  }
};
const defaultProps$2 = {
  colorScheme: "brand"
};
var checkbox = {
  baseStyle: baseStyle$6,
  sizes: sizes$4,
  defaultProps: defaultProps$2
};
const baseStyle$5 = {
  maxW: "7xl",
  px: { base: "4", md: "8" }
};
var container = { baseStyle: baseStyle$5 };
const parts = ["field", "menu", "option"];
const baseStyle$4 = {
  field: {
    width: "100%",
    display: "inline-flex",
    alignItems: "center",
    justifyContent: "space-between",
    transition: "all 50ms ease"
  },
  option: {
    display: "flex",
    alignItems: "center",
    cursor: "pointer",
    _disabled: {
      opacity: 0.4,
      cursor: "not-allowed"
    }
  },
  menu: {
    minW: "3xs"
  }
};
const variants$4 = {
  outline: (props) => ({
    menu: {
      bg: mode("white", "gray.800")(props),
      boxShadow: mode("sm", "sm-dark")(props),
      color: "inherit",
      minW: "3xs",
      py: "2",
      borderRadius: "md",
      borderWidth: "1px"
    },
    option: {
      _focus: {
        bg: mode("gray.100", "whiteAlpha.100")(props)
      },
      _hover: {
        bg: mode("gray.100", "whiteAlpha.100")(props)
      },
      _selected: {
        bg: mode("gray.200", "whiteAlpha.200")(props)
      }
    },
    field: {
      border: "1px solid",
      borderColor: "inherit",
      _hover: {
        borderColor: mode("gray.300", "whiteAlpha.400")(props)
      },
      _disabled: {
        opacity: 0.4,
        cursor: "not-allowed",
        borderColor: "inherit"
      },
      _readOnly: {
        boxShadow: "none !important",
        userSelect: "all"
      },
      _invalid: {
        borderColor: getColor(props.theme, mode("red.500", "red.300")(props)),
        boxShadow: `0 0 0 1px ${getColor(props.theme, mode("red.500", "red.300")(props))}`
      },
      _focus: {
        borderColor: getColor(props.theme, mode(`${props.colorScheme}.500`, `${props.colorScheme}.300`)(props)),
        boxShadow: `0 0 0 1px ${getColor(props.theme, mode(`${props.colorScheme}.500`, `${props.colorScheme}.300`)(props))}`
      },
      _expanded: {
        borderColor: getColor(props.theme, mode(`${props.colorScheme}.500`, `${props.colorScheme}.300`)(props)),
        boxShadow: `0 0 0 1px ${getColor(props.theme, mode(`${props.colorScheme}.500`, `${props.colorScheme}.300`)(props))}`
      }
    }
  })
};
const sizes$3 = {
  sm: {
    field: {
      px: 3,
      h: 8,
      fontSize: "sm",
      borderRadius: "sm"
    },
    menu: {
      fontSize: "sm",
      borderRadius: "sm"
    },
    option: {
      px: 3,
      h: 8,
      fontSize: "sm"
    }
  },
  md: {
    field: {
      px: 4,
      h: 10,
      fontSize: "md",
      borderRadius: "md"
    },
    menu: {
      fontSize: "md",
      borderRadius: "md"
    },
    option: {
      px: 4,
      h: 10,
      fontSize: "md"
    }
  },
  lg: {
    field: {
      px: 4,
      h: 12,
      fontSize: "lg",
      borderRadius: "md"
    },
    menu: {
      fontSize: "lg",
      borderRadius: "md"
    },
    option: {
      px: 4,
      h: 12,
      fontSize: "lg"
    }
  }
};
var customSelect = {
  parts,
  baseStyle: baseStyle$4,
  variants: variants$4,
  sizes: sizes$3,
  defaultProps: {
    size: "md",
    variant: "outline",
    colorScheme: "brand"
  }
};
const baseStyle$3 = {
  color: "muted",
  mb: "1.5",
  fontSize: "sm"
};
const sizes$2 = {
  sm: {
    _peerPlaceholderShown: {
      fontSize: "sm",
      top: "1.5",
      left: "4"
    }
  },
  md: {
    _peerPlaceholderShown: {
      fontSize: "md",
      top: "2",
      left: "4"
    }
  },
  lg: {
    _peerPlaceholderShown: {
      fontSize: "lg",
      top: "2.5",
      left: "4"
    }
  }
};
const variants$3 = {
  floating: () => ({
    position: "absolute",
    transition: "all 0.12s ease-in",
    pointerEvents: "none",
    top: "-27px",
    left: "0",
    _peerPlaceholderShown: {
      fontWeight: "normal",
      color: "subtle"
    },
    _peerFocus: {
      fontSize: "sm",
      fontWeight: "medium",
      top: "-27px",
      left: "0",
      color: "muted"
    }
  })
};
const defaultProps$1 = {
  size: "md"
};
var formLabel = {
  baseStyle: baseStyle$3,
  sizes: sizes$2,
  variants: variants$3,
  defaultProps: defaultProps$1
};
const baseStyle$2 = {
  fontWeight: "semibold"
};
const sizes$1 = {
  "2xl": {
    fontSize: "7xl",
    lineHeight: "5.625rem",
    letterSpacing: "tight"
  },
  xl: {
    fontSize: "6xl",
    lineHeight: "4.5rem",
    letterSpacing: "tight"
  },
  lg: {
    fontSize: "5xl",
    lineHeight: "3.75rem",
    letterSpacing: "tight"
  },
  md: {
    fontSize: "4xl",
    lineHeight: "2.75rem",
    letterSpacing: "tight"
  },
  sm: {
    fontSize: "3xl",
    lineHeight: "2.375rem"
  },
  xs: {
    fontSize: "2xl",
    lineHeight: "2rem"
  }
};
var heading = {
  baseStyle: baseStyle$2,
  sizes: sizes$1
};
const variants$2 = {
  outline: (props) => ({
    field: {
      bg: mode("white", "gray.700")(props),
      _focus: {
        borderColor: "brand.500",
        boxShadow: mode(`0px 0px 0px 1px ${transparentize(`brand.500`, 1)(props.theme)}`, `0px 0px 0px 1px ${transparentize(`brand.200`, 1)(props.theme)}`)(props)
      }
    }
  }),
  "outline-on-accent": (props) => ({
    field: {
      bg: "white",
      color: "gray.900",
      borderWidth: "1px",
      borderColor: "brand.50",
      _placeholder: {
        color: "gray.500"
      },
      _hover: {
        borderColor: "brand.100"
      },
      _focus: {
        borderColor: "brand.200",
        boxShadow: `0px 0px 0px 1px ${transparentize(`brand.200`, 1)(props.theme)}`
      }
    }
  }),
  filled: (props) => {
    if (props.colorScheme === "gray") {
      return {
        field: {
          bg: mode("white", "gray.700")(props),
          _focus: {
            borderColor: "accent",
            bg: mode("white", "gray.700")(props)
          },
          _hover: {
            borderColor: mode("gray.200", "gray.600")(props),
            bg: mode("white", "gray.700")(props)
          }
        }
      };
    }
    return {
      field: {
        bg: "bg-accent-subtle",
        color: "on-accent",
        _placeholder: {
          color: "on-accent"
        },
        _hover: {
          borderColor: "brand.400",
          bg: "bg-accent-subtle"
        },
        _focus: {
          bg: "bg-accent-subtle",
          borderColor: "brand.300"
        }
      }
    };
  }
};
var input = {
  variants: variants$2,
  defaultProps: {
    colorScheme: "gray"
  }
};
const baseStyle$1 = {
  track: {
    borderRadius: "base"
  }
};
const variants$1 = {
  solid: {
    track: {
      bg: "bg-muted"
    }
  },
  "on-accent": {
    track: {
      bg: "transparent"
    },
    filledTrack: {
      bg: "brand.50"
    }
  }
};
const defaultProps = {
  colorScheme: "brand",
  variant: "solid"
};
var progress = {
  variants: variants$1,
  baseStyle: baseStyle$1,
  defaultProps
};
const baseStyle = {
  tab: {
    fontWeight: "medium",
    color: "muted",
    _focus: {
      boxShadow: "none"
    },
    _focusVisible: {
      boxShadow: "base"
    }
  }
};
const variants = {
  line: {
    tab: {
      _selected: {
        color: "accent",
        borderColor: "accent"
      },
      _active: {
        bg: "transparent"
      }
    }
  },
  enclosed: {
    tab: {
      _selected: {
        color: "accent"
      }
    }
  }
};
const sizes = {
  md: {
    tab: {
      fontSize: "sm"
    }
  }
};
var tabs = { baseStyle, variants, sizes };
var components = /* @__PURE__ */ Object.freeze({
  __proto__: null,
  [Symbol.toStringTag]: "Module",
  Button: button,
  Checkbox: checkbox,
  Container: container,
  CustomSelect: customSelect,
  FormLabel: formLabel,
  Heading: heading,
  Input: input,
  Progress: progress,
  Tabs: tabs
});
var fonts = {
  heading: "InterVariable, -apple-system, system-ui, sans-serif",
  body: "InterVariable, -apple-system, system-ui, sans-serif"
};
var shadows = {
  xs: "0px 1px 2px rgba(16, 24, 40, 0.05)",
  sm: "0px 0px 1px rgba(48, 49, 51, 0.05), 0px 2px 4px rgba(48, 49, 51, 0.1)",
  md: "0px 0px 1px rgba(48, 49, 51, 0.05), 0px 4px 8px rgba(48, 49, 51, 0.1)",
  lg: "0px 0px 1px rgba(48, 49, 51, 0.05), 0px 8px 16px rgba(48, 49, 51, 0.1)",
  xl: "0px 0px 1px rgba(48, 49, 51, 0.05), 0px 16px 24px rgba(48, 49, 51, 0.1)",
  "xs-dark": "0px 1px 3px rgba(11, 12, 17, 0.9)",
  "sm-dark": "0px 2px 4px rgba(11, 12, 17, 0.9)",
  "md-dark": "0px 4px 8px rgba(11, 12, 17, 0.9)",
  "lg-dark": "0px 8px 16px rgba(11, 12, 17, 0.9)",
  "xl-dark": "0px 16px 24px rgba(11, 12, 17, 0.9)"
};
var styles = {
  global: () => ({
    body: {
      color: "default",
      bg: "bg-canvas"
    },
    "*::placeholder": {
      opacity: 1,
      color: "muted"
    }
  })
};
var tokens = {
  colors: {
    "bg-canvas": {
      default: "gray.50",
      _dark: "gray.900"
    },
    "bg-surface": {
      default: "white",
      _dark: "gray.800"
    },
    "bg-subtle": {
      default: "gray.50",
      _dark: "gray.700"
    },
    "bg-muted": {
      default: "gray.100",
      _dark: "gray.600"
    },
    default: {
      default: "gray.900",
      _dark: "white"
    },
    muted: {
      default: "gray.600",
      _dark: "gray.200"
    },
    subtle: {
      default: "gray.500",
      _dark: "gray.400"
    },
    accent: {
      default: "brand.500",
      _dark: "brand.200"
    },
    "bg-accent": "brand.600",
    "bg-accent-subtle": "brand.500",
    "bg-accent-muted": "brand.400",
    "on-accent": "white",
    "on-accent-muted": "brand.50",
    "on-accent-subtle": "brand.100"
  }
};
var foundations = /* @__PURE__ */ Object.freeze({
  __proto__: null,
  [Symbol.toStringTag]: "Module",
  fonts,
  shadows,
  styles,
  semanticTokens: tokens
});
const theme = extendTheme(__spreadProps(__spreadValues({}, foundations), {
  components: __spreadValues({}, components)
}));
export { theme };
